Skip site navigation (1) Skip section navigation (2)

Re: wxWidgets 2.9.2 compatibility

From: Dave Page <dpage(at)pgadmin(dot)org>
To: Peter Geoghegan <peter(at)2ndquadrant(dot)com>
Cc: pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: wxWidgets 2.9.2 compatibility
Date: 2011-07-13 13:39:46
Message-ID: (view raw or whole thread)
Lists: pgadmin-hackers
On Wed, Jul 13, 2011 at 10:27 AM, Peter Geoghegan <peter(at)2ndquadrant(dot)com> wrote:
> On 12 July 2011 17:45, Dave Page <dpage(at)pgadmin(dot)org> wrote:
>> So here's the patch I needed to get pgAdmin to build against wxWidgets
>> 2.9.2 on Mac. The only obvious problem I see with it when running is
>> that the toolbars are displaying text over the graphical buttons which
>> needs further investigation.
> I don't have time to help you with that at the moment I'm afraid.

I wasn't asking you to :-)

>> I'm not really sure why the compiler is unable to resolve this:
>> ./slony/dlgRepCluster.cpp:815: error: request for member
>> ‘GetClientData’ is ambiguous
>> /usr/local/include/wx-2.9/wx/ctrlsub.h:297: error: candidates are:
>> void* wxItemContainer::GetClientData(unsigned int) const
>> /usr/local/include/wx-2.9/wx/event.h:3234: error:
>> void* wxEvtHandler::GetClientData() const
> I told you about this back in February I think, where I demonstrated
> that GCC gives crappy error messages when it encounters the dastardly
> diamond:

Ahh, yes - that one.

Anyhoo, I'm looking to commit the patch so we can move forward. Objections?

Dave Page
Twitter: @pgsnake

EnterpriseDB UK:
The Enterprise PostgreSQL Company

In response to


pgadmin-hackers by date

Next:From: Peter GeogheganDate: 2011-07-13 14:01:27
Subject: Re: wxWidgets 2.9.2 compatibility
Previous:From: Peter GeogheganDate: 2011-07-13 09:27:54
Subject: Re: wxWidgets 2.9.2 compatibility

Privacy Policy | About PostgreSQL
Copyright © 1996-2015 The PostgreSQL Global Development Group